Loading...
Searching...
No Matches
Opm::PressureCallback< TypeTag > Class Template Reference

Callback class for a phase pressure. More...

`#include <quantitycallbacks.hh>`

## Public Types

using | ResultType = std::remove_const_t<std::remove_reference_t<ResultRawType>>
using | ResultValueType = typename MathToolbox<ResultType>::ValueType

## Public Member Functions

| PressureCallback (const ElementContext &elemCtx)
| PressureCallback (const ElementContext &elemCtx, unsigned phaseIdx)
void | setPhaseIndex (unsigned phaseIdx)
| Set the index of the fluid phase for which the pressure should be returned.
ResultType | operator() (unsigned dofIdx) const
| Return the pressure of the specified phase given the index of a degree of freedom within an element context.

## Detailed Description

template<class TypeTag>
class Opm::PressureCallback< TypeTag >

Callback class for a phase pressure.

The documentation for this class was generated from the following file:

- opm/models/common/quantitycallbacks.hh